Bug 1402040 - glibc: Improper assertion on map->l_init_called in dlclose of a NODELETE object after _fini called
glibc: Improper assertion on map->l_init_called in dlclose of a NODELETE obje...
Status: CLOSED DUPLICATE of bug 1398370
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
25
armv7hl Linux
unspecified Severity medium
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-06 10:46 EST by Ilkka Tengvall
Modified: 2017-12-12 06:00 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:53:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 11941 None None None 2017-12-12 06:00 EST

  None (edit)
Description Ilkka Tengvall 2016-12-06 10:46:29 EST
Description of problem:

Each time I ssh to my F25 raspi3 box and exit the session, I get this error the linker error.

Version-Release number of selected component (if applicable):
$ rpm -qa glibc* openssh-server fedora-release
glibc-2.24-3.fc25.armv7hl
glibc-common-2.24-3.fc25.armv7hl
glibc-langpack-en-2.24-3.fc25.armv7hl
glibc-headers-2.24-3.fc25.armv7hl
glibc-devel-2.24-3.fc25.armv7hl
fedora-release-25-1.noarch
glibc-all-langpacks-2.24-3.fc25.armv7hl
openssh-server-7.3p1-6.fc25.armv7hl
$ uname -a
Linux raspi 4.8.10-300.fc25.armv7hl #1 SMP Mon Nov 21 20:03:26 UTC 2016 armv7l armv7l armv7l GNU/Linux


How reproducible:
Every time I exit from ssh.

Steps to Reproduce:
1. ssh raspi3
2. ctrl-d

Actual results:

$ ssh raspi
Last login: Tue Dec  6 02:09:31 2016 from 192.168.1.112
[ikke@raspi ~]$ logout
Connection to raspi closed.
Inconsistency detected by ld.so: dl-close.c: 811: _dl_close: Assertion `map->l_init_called' failed!


Expected results:

no such error log.

Additional info:
Comment 1 Florian Weimer 2016-12-06 11:09:59 EST
Keeping this bug open because we need to remove the improper assert.  Bug 1398370 is essentially the same bug, though.
Comment 2 Fedora End Of Life 2017-11-16 13:49:30 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:53:23 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Florian Weimer 2017-12-12 06:00:46 EST

*** This bug has been marked as a duplicate of bug 1398370 ***

Note You need to log in before you can comment on or make changes to this bug.